@echo Off
If Exist ..\XWINGA~1.exe goto :warn

goto :wrongver

:warn
Echo ======================================================
Echo WARNING: This Patch will modify your XWA files.
Echo ======================================================
Echo The EH, TAC, SCO or Creator of this patch take no 
Echo responsibility for any damage incured to your systems 
Echo or data. You agree that any and all responsibilty for 
Echo any damages incurred is your own. This patch is not 
Echo created, distrubuted or supported in any way by Lucas 
Echo Arts Entertainment Company. Use at your own risk.
Echo ======================================================

choice /m "I have read and agree with the above disclaimer" 
If errorlevel == 2 goto :end
If errorlevel == 1 goto :cont


:cont
If Exist ..\XWINGA~1.exe goto :202

goto :wrongver

:202
rem ============================================
rem XWA 2.02 Back up routines.
rem ============================================

If exist Back.C90 goto :202preback

md BACKUP
cd Backup
md C90
cd..

copy ..\SHIPLIST.TXT Backup\C90
copy ..\STRINGS.TXT Backup\C90
copy ..\SPECDESC.TXT Backup\C90
copy ..\XWINGA~1.EXE Backup\C90
copy "..\FLIGHTMODELS\SPACECRAFT0.LST" Backup\C90
if exist "..\xwa.tab" copy "..\xwa.tab" Backup\C90
if exist "..\xwa.tab" del "..\xwa.tab"

echo C90 backup, do no delete. >> Back.C90

goto :202next

:202preback
Echo =======================
Echo Backup already exists. 
Echo Skipping Backing up.
Echo =======================    
Pause

:202next
copy C90patch\C90.202 .. /y
copy C90patch\Tiepatch.exe .. /y
copy C90patch\*.opt "..\FLIGHTMODELS" /y

cd C90patch

rem ==Shiplist.txt==
header ..\..\shiplist.txt 185 0 > ..\..\shiplist.new
type shiplist.1>> ..\..\shiplist.new
header ..\..\shiplist.txt 100 186 >> ..\..\shiplist.new
del ..\..\shiplist.txt
ren ..\..\shiplist.new shiplist.txt

rem ==\Flightmodels\Spacecraft0.lst==
header ..\..\Flightmodels\spacecraft0.lst 156 0 -pasteof > ..\..\Flightmodels\spacecraft0.new
type spacecraft0.1>> ..\..\Flightmodels\spacecraft0.new
header ..\..\Flightmodels\spacecraft0.lst 100 157 >> ..\..\Flightmodels\spacecraft0.new
del ..\..\Flightmodels\spacecraft0.lst
ren ..\..\Flightmodels\spacecraft0.new spacecraft0.lst
isblank ..\..\Flightmodels\spacecraft0.lst 154
isblank ..\..\Flightmodels\spacecraft0.lst 155

rem ==Specdesc.txt==
header ..\..\specdesc.txt 930 0 > ..\..\specdesc.new
type specdesc.1>> ..\..\specdesc.new 
header ..\..\specdesc.txt 500 935 >> ..\..\specdesc.new
del ..\..\specdesc.txt
ren ..\..\specdesc.new specdesc.txt

rem ==Strings.txt==
header ..\..\strings.txt 2098 0 > ..\..\strings.new
type strings.1>> ..\..\strings.new
header ..\..\strings.txt 227 2099 >> ..\..\strings.new
type strings.2>> ..\..\strings.new
header ..\..\strings.txt 229 2327 >> ..\..\strings.new
type strings.3>> ..\..\strings.new
header ..\..\strings.txt 5500 2557 >> ..\..\strings.new
del ..\..\strings.txt
ren ..\..\strings.new strings.txt

cd ..

Goto :202inst

rem ================================
rem Routines to install .exe patch's
rem ================================

:202inst

cd..

tiepatch C90.202
del C90.202
del tiepatch.exe

goto :end

rem =========
rem Warnings:
rem =========

:wrongver
echo ======================================
echo ERROR:
echo Your Version of XWA appears to be 
echo incomplete, or of an unkown version
echo ======================================
echo Please check the Science Office FAQ.
echo ======================================
pause

goto :end

:end
